#! /usr/bin/env perl

use Test::More;

use lib '@abs_top_builddir@/mst_envs/site';

use MST::Shim::Config;

# default
is( $Config::Config{startperl}, '#! /usr/bin/env @MST_ROOT@/bin/perl' );

# explicit set
MST::Shim::Config->import( startperl => 'foo' );
is( $Config::Config{startperl}, 'foo' );


# try with the special form
MST::Shim::Config->import( 'startperl' );
is( $Config::Config{startperl}, '#! /usr/bin/env @MST_ROOT@/bin/perl' );

# reset
MST::Shim::Config->import( startperl => 'foo' );
is( $Config::Config{startperl}, 'foo' );

# try another special form
MST::Shim::Config->import( [ 'startperl' ] );
is( $Config::Config{startperl}, '#! /usr/bin/env @MST_ROOT@/bin/perl' );

done_testing;
